> For the complete documentation index, see [llms.txt](https://docs.archera.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.archera.ai/api-reference/partner-api/partner-credentials.md).

# Partner Credentials

Operations on a channel partner's child organization credentials

## GET /v2/partners/{partner\_org\_id}/orgs/{child\_org\_id}/credentials

>

```json
{"openapi":"3.1.0","info":{"title":"Archera.ai Channel Partner API","version":"v1.0.0"},"tags":[{"name":"PartnerCredentials","description":"Operations on a channel partner's child organization credentials"}],"paths":{"/v2/partners/{partner_org_id}/orgs/{child_org_id}/credentials":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Credential"}}}},"headers":{"X-Pagination":{"$ref":"#/components/headers/PAGINATION"}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"405":{"description":"Method not allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"$ref":"#/components/responses/UNPROCESSABLE_CONTENT"},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"default":{"$ref":"#/components/responses/DEFAULT_ERROR"}},"parameters":[{"in":"query","name":"page","schema":{"type":"integer","default":1,"minimum":1},"required":false},{"in":"query","name":"page_size","schema":{"type":"integer","default":20,"minimum":1,"maximum":100},"required":false}],"tags":["PartnerCredentials"]}}},"components":{"schemas":{"Credential":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"org_id":{"type":"string","readOnly":true,"maxLength":50},"name":{"type":"string","readOnly":true},"client_id":{"type":["string","null"],"readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"user_id":{"type":["string","null"],"readOnly":true,"maxLength":50},"last_used_at":{"type":["string","null"],"format":"date-time","readOnly":true},"expires_at":{"type":["string","null"],"format":"date-time","readOnly":true},"revoked":{"type":"boolean","readOnly":true},"azure_tenant_id":{"type":["string","null"],"readOnly":true,"maxLength":50},"azure_csp_plan_subscription_id":{"type":["string","null"],"readOnly":true,"maxLength":50},"pac":{"type":["string","null"],"readOnly":true,"maxLength":255},"type":{"readOnly":true,"type":"string","enum":["tds_api_key"]},"user":{"readOnly":true,"$ref":"#/components/schemas/UserInfo"}},"required":["azure_csp_plan_subscription_id","azure_tenant_id","client_id","created_at","expires_at","id","last_used_at","name","org_id","pac","revoked","type","user","user_id"],"additionalProperties":false},"UserInfo":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"maxLength":50},"username":{"type":"string","maxLength":255},"full_name":{"type":["string","null"],"maxLength":255}},"required":["username"],"additionalProperties":false},"PaginationMetadata":{"type":"object","properties":{"total":{"type":"integer","description":"Total number of items."},"total_pages":{"type":"integer","description":"Total number of pages."},"first_page":{"type":"integer","description":"First available page number."},"last_page":{"type":"integer","description":"Last available page number."},"page":{"type":"integer","description":"Current page number."},"previous_page":{"type":"integer","description":"Previous page number."},"next_page":{"type":"integer","description":"Next page number."}},"additionalProperties":false},"ApiErrorResponse":{"type":"object","properties":{"error":{"type":"string"},"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{}},"detail":{},"code":{"type":["string","null"]},"status":{"type":"string"},"url":{"type":["string","null"]},"timestamp":{"type":"string"},"type":{"type":"string"}},"required":["error","errors","message","timestamp","type"]},"Error":{"type":"object","properties":{"code":{"type":"integer","description":"Error code"},"status":{"type":"string","description":"Error name"},"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{}},"error":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"required":["error","errors","message","timestamp","type"],"additionalProperties":false}},"headers":{"PAGINATION":{"description":"Pagination metadata","schema":{"$ref":"#/components/schemas/PaginationMetadata"}}},"responses":{"UNPROCESSABLE_CONTENT":{"description":"Unprocessable Content","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"DEFAULT_ERROR":{"description":"Default error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}
```

## POST /v2/partners/{partner\_org\_id}/orgs/{child\_org\_id}/credentials

>

```json
{"openapi":"3.1.0","info":{"title":"Archera.ai Channel Partner API","version":"v1.0.0"},"tags":[{"name":"PartnerCredentials","description":"Operations on a channel partner's child organization credentials"}],"paths":{"/v2/partners/{partner_org_id}/orgs/{child_org_id}/credentials":{"post":{"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Credential"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"405":{"description":"Method not allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"$ref":"#/components/responses/UNPROCESSABLE_CONTENT"},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"default":{"$ref":"#/components/responses/DEFAULT_ERROR"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCredential"}}}},"tags":["PartnerCredentials"]}}},"components":{"schemas":{"Credential":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"org_id":{"type":"string","readOnly":true,"maxLength":50},"name":{"type":"string","readOnly":true},"client_id":{"type":["string","null"],"readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"user_id":{"type":["string","null"],"readOnly":true,"maxLength":50},"last_used_at":{"type":["string","null"],"format":"date-time","readOnly":true},"expires_at":{"type":["string","null"],"format":"date-time","readOnly":true},"revoked":{"type":"boolean","readOnly":true},"azure_tenant_id":{"type":["string","null"],"readOnly":true,"maxLength":50},"azure_csp_plan_subscription_id":{"type":["string","null"],"readOnly":true,"maxLength":50},"pac":{"type":["string","null"],"readOnly":true,"maxLength":255},"type":{"readOnly":true,"type":"string","enum":["tds_api_key"]},"user":{"readOnly":true,"$ref":"#/components/schemas/UserInfo"}},"required":["azure_csp_plan_subscription_id","azure_tenant_id","client_id","created_at","expires_at","id","last_used_at","name","org_id","pac","revoked","type","user","user_id"],"additionalProperties":false},"UserInfo":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"maxLength":50},"username":{"type":"string","maxLength":255},"full_name":{"type":["string","null"],"maxLength":255}},"required":["username"],"additionalProperties":false},"ApiErrorResponse":{"type":"object","properties":{"error":{"type":"string"},"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{}},"detail":{},"code":{"type":["string","null"]},"status":{"type":"string"},"url":{"type":["string","null"]},"timestamp":{"type":"string"},"type":{"type":"string"}},"required":["error","errors","message","timestamp","type"]},"Error":{"type":"object","properties":{"code":{"type":"integer","description":"Error code"},"status":{"type":"string","description":"Error name"},"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{}},"error":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"required":["error","errors","message","timestamp","type"],"additionalProperties":false},"CreateCredential":{"type":"object","properties":{"value":{"type":"string"},"client_id":{"type":"string"},"name":{"type":"string","default":"PAC Proxy Credential"},"type":{"default":"tds_api_key","type":"string","enum":["tds_api_key"]},"expires_at":{"type":["string","null"],"format":"date-time","default":null},"azure_tenant_id":{"type":"string","pattern":"[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}\\Z"},"azure_csp_plan_subscription_id":{"type":"string","pattern":"[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}\\Z"},"pac":{"type":["string","null"],"default":null,"minLength":1,"maxLength":255}},"required":["azure_csp_plan_subscription_id","azure_tenant_id","client_id","value"]}},"responses":{"UNPROCESSABLE_CONTENT":{"description":"Unprocessable Content","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"DEFAULT_ERROR":{"description":"Default error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}
```

## GET /v2/partners/{partner\_org\_id}/orgs/{child\_org\_id}/credentials/{credential\_id}

>

```json
{"openapi":"3.1.0","info":{"title":"Archera.ai Channel Partner API","version":"v1.0.0"},"tags":[{"name":"PartnerCredentials","description":"Operations on a channel partner's child organization credentials"}],"paths":{"/v2/partners/{partner_org_id}/orgs/{child_org_id}/credentials/{credential_id}":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Credential"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"405":{"description":"Method not allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"default":{"$ref":"#/components/responses/DEFAULT_ERROR"}},"tags":["PartnerCredentials"]}}},"components":{"schemas":{"Credential":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"org_id":{"type":"string","readOnly":true,"maxLength":50},"name":{"type":"string","readOnly":true},"client_id":{"type":["string","null"],"readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"user_id":{"type":["string","null"],"readOnly":true,"maxLength":50},"last_used_at":{"type":["string","null"],"format":"date-time","readOnly":true},"expires_at":{"type":["string","null"],"format":"date-time","readOnly":true},"revoked":{"type":"boolean","readOnly":true},"azure_tenant_id":{"type":["string","null"],"readOnly":true,"maxLength":50},"azure_csp_plan_subscription_id":{"type":["string","null"],"readOnly":true,"maxLength":50},"pac":{"type":["string","null"],"readOnly":true,"maxLength":255},"type":{"readOnly":true,"type":"string","enum":["tds_api_key"]},"user":{"readOnly":true,"$ref":"#/components/schemas/UserInfo"}},"required":["azure_csp_plan_subscription_id","azure_tenant_id","client_id","created_at","expires_at","id","last_used_at","name","org_id","pac","revoked","type","user","user_id"],"additionalProperties":false},"UserInfo":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"maxLength":50},"username":{"type":"string","maxLength":255},"full_name":{"type":["string","null"],"maxLength":255}},"required":["username"],"additionalProperties":false},"ApiErrorResponse":{"type":"object","properties":{"error":{"type":"string"},"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{}},"detail":{},"code":{"type":["string","null"]},"status":{"type":"string"},"url":{"type":["string","null"]},"timestamp":{"type":"string"},"type":{"type":"string"}},"required":["error","errors","message","timestamp","type"]},"Error":{"type":"object","properties":{"code":{"type":"integer","description":"Error code"},"status":{"type":"string","description":"Error name"},"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{}},"error":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"required":["error","errors","message","timestamp","type"],"additionalProperties":false}},"responses":{"DEFAULT_ERROR":{"description":"Default error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}
```

## DELETE /v2/partners/{partner\_org\_id}/orgs/{child\_org\_id}/credentials/{credential\_id}

>

```json
{"openapi":"3.1.0","info":{"title":"Archera.ai Channel Partner API","version":"v1.0.0"},"tags":[{"name":"PartnerCredentials","description":"Operations on a channel partner's child organization credentials"}],"paths":{"/v2/partners/{partner_org_id}/orgs/{child_org_id}/credentials/{credential_id}":{"delete":{"responses":{"204":{"description":"No Content"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"405":{"description":"Method not allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"default":{"$ref":"#/components/responses/DEFAULT_ERROR"}},"tags":["PartnerCredentials"]}}},"components":{"schemas":{"ApiErrorResponse":{"type":"object","properties":{"error":{"type":"string"},"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{}},"detail":{},"code":{"type":["string","null"]},"status":{"type":"string"},"url":{"type":["string","null"]},"timestamp":{"type":"string"},"type":{"type":"string"}},"required":["error","errors","message","timestamp","type"]},"Error":{"type":"object","properties":{"code":{"type":"integer","description":"Error code"},"status":{"type":"string","description":"Error name"},"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{}},"error":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"required":["error","errors","message","timestamp","type"],"additionalProperties":false}},"responses":{"DEFAULT_ERROR":{"description":"Default error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}
```

## PATCH /v2/partners/{partner\_org\_id}/orgs/{child\_org\_id}/credentials/{credential\_id}

>

```json
{"openapi":"3.1.0","info":{"title":"Archera.ai Channel Partner API","version":"v1.0.0"},"tags":[{"name":"PartnerCredentials","description":"Operations on a channel partner's child organization credentials"}],"paths":{"/v2/partners/{partner_org_id}/orgs/{child_org_id}/credentials/{credential_id}":{"patch":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Credential"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"405":{"description":"Method not allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"$ref":"#/components/responses/UNPROCESSABLE_CONTENT"},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"default":{"$ref":"#/components/responses/DEFAULT_ERROR"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCredential"}}}},"tags":["PartnerCredentials"]}}},"components":{"schemas":{"Credential":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"org_id":{"type":"string","readOnly":true,"maxLength":50},"name":{"type":"string","readOnly":true},"client_id":{"type":["string","null"],"readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"user_id":{"type":["string","null"],"readOnly":true,"maxLength":50},"last_used_at":{"type":["string","null"],"format":"date-time","readOnly":true},"expires_at":{"type":["string","null"],"format":"date-time","readOnly":true},"revoked":{"type":"boolean","readOnly":true},"azure_tenant_id":{"type":["string","null"],"readOnly":true,"maxLength":50},"azure_csp_plan_subscription_id":{"type":["string","null"],"readOnly":true,"maxLength":50},"pac":{"type":["string","null"],"readOnly":true,"maxLength":255},"type":{"readOnly":true,"type":"string","enum":["tds_api_key"]},"user":{"readOnly":true,"$ref":"#/components/schemas/UserInfo"}},"required":["azure_csp_plan_subscription_id","azure_tenant_id","client_id","created_at","expires_at","id","last_used_at","name","org_id","pac","revoked","type","user","user_id"],"additionalProperties":false},"UserInfo":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"maxLength":50},"username":{"type":"string","maxLength":255},"full_name":{"type":["string","null"],"maxLength":255}},"required":["username"],"additionalProperties":false},"ApiErrorResponse":{"type":"object","properties":{"error":{"type":"string"},"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{}},"detail":{},"code":{"type":["string","null"]},"status":{"type":"string"},"url":{"type":["string","null"]},"timestamp":{"type":"string"},"type":{"type":"string"}},"required":["error","errors","message","timestamp","type"]},"Error":{"type":"object","properties":{"code":{"type":"integer","description":"Error code"},"status":{"type":"string","description":"Error name"},"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{}},"error":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"required":["error","errors","message","timestamp","type"],"additionalProperties":false},"UpdateCredential":{"type":"object","properties":{"name":{"type":"string"},"revoked":{"type":"boolean"}}}},"responses":{"UNPROCESSABLE_CONTENT":{"description":"Unprocessable Content","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"DEFAULT_ERROR":{"description":"Default error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.archera.ai/api-reference/partner-api/partner-credentials.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
